%define major		22
%define gi_major	0.0
%define libname		%mklibname gdata %major
%define develname	%mklibname -d gdata
%define girname		%mklibname gdata-gir %gi_major

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libgdata
Version:	0.18.1
Release:	%mkrel 1
Summary:	Library for the GData protocol
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/libgdata
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gcr-base-3)
BuildRequires:	pkgconfig(gio-2.0) >= 2.17.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.19.0
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.26.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(oauth) >= 0.9.4
BuildRequires:	pkgconfig(libuhttpmock-0.0)
BuildRequires:	rootcerts
Requires:	rootcerts

%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package i18n
Summary:	Library for the GData protocol - translations
Group:		System/Internationalization

%description i18n
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package -n %{libname}
Summary:	Library for the GData protocol
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.


%package -n %develname
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gdata-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%meson \
  -Dinstalled_tests=false \
  -Dgtk_doc=false \
  %{nil}
%meson_build

%install
%meson_install

%find_lang gdata

%files i18n -f gdata.lang

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/girepository-1.0/GData-%{gi_major}.typelib

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GData-%{gi_major}.gir
%{_datadir}/vala/vapi/*.deps
%{_datadir}/vala/vapi/*.vapi


%changelog
* Sat Mar 06 2021 tex - 0.18.1-1pclos2021
- new version

* Wed Mar 03 2021 tex - 0.18.0-1pclos2021
- new version
